Skip to main content
POST
/
v1
/
plans
/
{id}
/
archive
Archive a plan
curl --request POST \
  --url https://api.bondio.co/v1/plans/{id}/archive \
  --header 'Authorization: Bearer <token>'
{
  "id": "plan.id1",
  "name": "UK incredible",
  "coverage": {
    "id": "cvpr_dfklsh12",
    "name": "United Kingdom",
    "label": "chi"
  },
  "voiceMinutes": 60,
  "dataMegaBytes": 1024,
  "smsMessages": 100,
  "periodDays": 30,
  "archivedAt": null,
  "isAddon": false,
  "label": "alpha"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Returns the archived plan

id
string
name
string
dataMegaBytes
integer
voiceMinutes
integer | null
smsMessages
integer | null
periodDays
integer

Plan validity in days

periodIterations
integer
default:1

Number of times the periodDays should be repeated.

throttledSpeedKbps
integer
default:0

Speed after allocated data is used up. The default zero means no usage allowed afterwards.

archivedAt
integer | null
label
string

The plan-esim compatibility label

coverage
Coverage · object
Example:
{
"id": "cvpr_hdy2da3n",
"name": "Australia region",
"label": "lambda",
"countries": [
{
"name": "Australia",
"iso2": "AU",
"iso3": "AUS",
"indicator": "A",
"operators": [
{
"name": "Telstra",
"supportedRats": ["4g", "5g"]
}
]
}
]
}
createdAt
integer